/*
 * This file is part of mutt-ng, see http://www.muttng.org/.
 * It's licensed under the GNU General Public License,
 * please see the file GPL in the top level source directory.
 */

#include <lib-lib/lib-lib.h>

#include "mutt.h"
#include "pop.h"
#include "mx.h"
#include "mx_pop.h"

static int pop_is_magic (const char* path, struct stat* st __attribute__ ((unused))) {
  url_scheme_t s = url_check_scheme (NONULL (path));
  return ((s == U_POP || s == U_POPS) ? M_POP : -1);
}

static int acl_check_pop (CONTEXT* ctx __attribute__ ((unused)), int bit) {
  switch (bit) {
    case ACL_INSERT:    /* editing messages */
    case ACL_WRITE:     /* change importance */
      return (0);
    case ACL_DELETE:    /* (un)deletion */
    case ACL_SEEN:      /* mark as read */
      return (1);
    default:
      return (0);
  }
}

mx_t const pop_mx = {
    M_POP,
    0,
    pop_is_magic,
    NULL,
    NULL,
    pop_open_mailbox,
    NULL,
    acl_check_pop,
    pop_check_mailbox,
    pop_close_mailbox,
    pop_sync_mailbox,
    NULL,
};
